import 'package:flutter/material.dart';
import 'package:rkm/widgets/text_default.dart';
import '../config/color_palette.dart';
import 'button_default.dart';

class OnBackButton{
  onBackButton(context)async {
    await showDialog(
        context: context,
        builder: (context){
          return AlertDialog(
            title: TextDefault(text: 'Aviso',color: ColorPalette.black54,textAlign: TextAlign.center,),
            content: TextDefault(text: 'Deseja sair e descartar as alterações?',color: ColorPalette.black54,),
            actions: [
              ButtonDefault(
                onPressed: ()=>Navigator.pushNamedAndRemoveUntil(context, '/home', (route) => false),
                title: 'Sim',
                background: ColorPalette.appBar,
                borderColor: ColorPalette.appBar,
                textColor: ColorPalette.white,
              ),
              ButtonDefault(
                onPressed: ()=>Navigator.of(context).pop(false),
                title: 'Não',
                background: ColorPalette.white,
                borderColor: ColorPalette.white,
                textColor: ColorPalette.black54,
              ),
            ],
          );
        }
    );
  }
}